Index: plugins/tags/_admin.php
===================================================================
--- plugins/tags/_admin.php	(revision 1239)
+++ plugins/tags/_admin.php	(revision 1609)
@@ -18,10 +18,8 @@
 require dirname(__FILE__).'/_widgets.php';
 
-$core->addBehavior('adminPostFormSidebar',array('tagsBehaviors','tagsField'));
+$core->addBehavior('adminPostFormItems',array('tagsBehaviors','tagsField'));
 
 $core->addBehavior('adminAfterPostCreate',array('tagsBehaviors','setTags'));
 $core->addBehavior('adminAfterPostUpdate',array('tagsBehaviors','setTags'));
-
-$core->addBehavior('adminPageHeaders',array('tagsBehaviors','pageHeaders'));
 
 $core->addBehavior('adminPostHeaders',array('tagsBehaviors','postHeaders'));
@@ -73,5 +71,5 @@
 	}
 	
-	public static function tagsField($post)
+	public static function tagsField($main,$sidebar,$post)
 	{
 		$meta =& $GLOBALS['core']->meta;
@@ -82,8 +80,7 @@
 			$value = ($post) ? $meta->getMetaStr($post->post_meta,'tag') : '';
 		}
-		
-		echo
-		'<h3><label for="post_tags">'.__('Tags:').'</label></h3>'.
-		'<div class="p" id="tags-edit">'.form::textarea('post_tags',20,3,$value,'maximal').'</div>';
+		$sidebar['metas-box']['items']['post_tags']=
+		'<h5><label class="s-tags" for="post_tags">'.__('Tags').'</label></h5>'.
+		'<div class="p s-tags" id="tags-edit">'.form::textarea('post_tags',20,3,$value,'maximal').'</div>';
 	}
 	
@@ -101,33 +98,4 @@
 			}
 		}
-	}
-
-	public static function pageHeaders()
-	{
-		$tag_url = $GLOBALS['core']->blog->url.$GLOBALS['core']->url->getURLFor('tag');
-		
-		$opts = $GLOBALS['core']->auth->getOptions();
-		$type = isset($opts['tag_list_format']) ? $opts['tag_list_format'] : 'more';
-		
-		return 
-		'<script type="text/javascript" src="index.php?pf=tags/js/jquery.autocomplete.js"></script>'.
-		'<script type="text/javascript" src="index.php?pf=tags/js/page.js"></script>'.
-		'<script type="text/javascript">'."\n".
-		"//<![CDATA[\n".
-		"metaEditor.prototype.meta_url = 'plugin.php?p=tags&m=tag_posts&amp;tag=';\n".
-		"metaEditor.prototype.meta_type = '".html::escapeJS($type)."';\n".
-		"metaEditor.prototype.text_confirm_remove = '".html::escapeJS(__('Are you sure you want to remove this %s?'))."';\n".
-		"metaEditor.prototype.text_add_meta = '".html::escapeJS(__('Add a %s to this entry'))."';\n".
-		"metaEditor.prototype.text_choose = '".html::escapeJS(__('Choose from list'))."';\n".
-		"metaEditor.prototype.text_all = '".html::escapeJS(__('all'))."';\n".
-		"metaEditor.prototype.text_separation = '';\n".
-		"jsToolBar.prototype.elements.tag.title = '".html::escapeJS(__('Tag'))."';\n".
-		"jsToolBar.prototype.elements.tag.url = '".html::escapeJS($tag_url)."';\n".
-		"dotclear.msg.tags_autocomplete = '".html::escapeJS(__('used in %e - frequency %p%'))."';\n".
-		"dotclear.msg.entry = '".html::escapeJS(__('entry'))."';\n".
-		"dotclear.msg.entries = '".html::escapeJS(__('entries'))."';\n".
-		"\n//]]>\n".
-		"</script>\n".
-		'<link rel="stylesheet" type="text/css" href="index.php?pf=tags/style.css" />';
 	}
 	
@@ -261,11 +229,16 @@
 		if ($action == 'tags')
 		{
-			echo
-			'<h2 class="page-title">'.__('Add tags to entries').'</h2>'.
+			echo dcPage::breadcrumb(
+				array(
+					html::escapeHTML($core->blog->name) => '',
+					__('Entries') => 'posts.php',
+					'<span class="page-title">'.__('Add tags to entries').'</span>' => ''
+			)).
 			'<form action="'.$form_uri.'" method="post">'.
+			$hidden_fields->getEntries().
 			'<div><label for="new_tags" class="area">'.__('Tags to add:').'</label> '.
 			form::textarea('new_tags',60,3).
 			'</div>'.
-			$hidden_fields.
+			$hidden_fields->getHidden().
 			$core->formNonce().
 			form::hidden(array('action'),'tags').
@@ -291,6 +264,10 @@
 				}
 			}
-			
-			echo '<h2 class="page-title">'.__('Remove selected tags from entries').'</h2>';
+			echo dcPage::breadcrumb(
+				array(
+					html::escapeHTML($core->blog->name) => '',
+					__('Entries') => 'posts.php',
+					'<span class="page-title">'.__('Remove selected tags from entries').'</span>' => ''
+			));
 			
 			if (empty($tags)) {
@@ -338,14 +315,13 @@
 		
 		$combo = array();
-		$combo[__('short')] = 'more';
-		$combo[__('extended')] = 'all';
+		$combo[__('Short')] = 'more';
+		$combo[__('Extended')] = 'all';
 		
 		$value = array_key_exists('tag_list_format',$opts) ? $opts['tag_list_format'] : 'more';
 		
 		echo
-		'<fieldset><legend>'.__('Tags').'</legend>'.
-		'<p><label for="user_tag_list_format">'.__('Tags list format:').' '.
+		'<p><label for="user_tag_list_format">'.__('Tags list format:').'</label> '.
 		form::combo('user_tag_list_format',$combo,$value).
-		'</label></p></fieldset>';
+		'</p>';
 	}
 	
Index: plugins/tags/_define.php
===================================================================
--- plugins/tags/_define.php	(revision 1179)
+++ plugins/tags/_define.php	(revision 1392)
@@ -18,5 +18,6 @@
 	/* Version */			'1.2',
 	array(
-		'permissions' =>	'usage,contentadmin'
+		'permissions' =>	'usage,contentadmin',
+		'priority' =>		998
 	)
 );
Index: plugins/tags/js/post.js
===================================================================
--- plugins/tags/js/post.js	(revision 1112)
+++ plugins/tags/js/post.js	(revision 1606)
@@ -53,9 +53,15 @@
 				')</em>';
 			},
-			formatResult: function(tag) { 
-				return tag.result; 
+			formatResult: function(tag) {
+				return tag.result;
 			}
 		});
 	});
+
+	$('h5 .s-tags').toggleWithLegend($('.s-tags').not('label'),{
+		cookie: 'post_tags',
+		legend_clik: true
+	});
+
 });
 
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 1288)
+++ plugins/tags/tag_posts.php	(revision 1572)
@@ -98,5 +98,5 @@
   <script type="text/javascript">
   //<![CDATA[
-  dotclear.msg.confirm_tag_delete = '<?php echo html::escapeJS(sprintf(__('Are you sure you want to remove this %s?'),'tag')) ?>';
+  dotclear.msg.confirm_tag_delete = '<?php echo html::escapeJS(sprintf(__('Are you sure you want to remove tag: “%s”?'),html::escapeHTML($tag))) ?>';
   $(function() {
     $('#tag_delete').submit(function() {
@@ -109,13 +109,19 @@
 <body>
 
-<h2><?php echo html::escapeHTML($core->blog->name); ?> &rsaquo;
-<span class="page-title"><?php echo __('Edit tag').' &ldquo;'.html::escapeHTML($tag).'&rdquo;'; ?></span></h2>
+<?php
+echo dcPage::breadcrumb(
+	array(
+		html::escapeHTML($core->blog->name) => '',
+		__('Tags') => $p_url.'&amp;m=tags',
+		'<span class="page-title">'.__('Tag').' &ldquo;'.html::escapeHTML($tag).'&rdquo;'.'</span>' => ''
+	));
+?>
 
 <?php
 if (!empty($_GET['renamed'])) {
-	dcPage::message(__('Tag has been successfully renamed'));
+	dcPage::success(__('Tag has been successfully renamed'));
 }
 
-echo '<p><a href="'.$p_url.'&amp;m=tags">'.__('Back to tags list').'</a></p>';
+echo '<p><a class="back" href="'.$p_url.'&amp;m=tags">'.__('Back to tags list').'</a></p>';
 
 if (!$core->error->flag())
@@ -124,6 +130,7 @@
 	{
 		echo
+		'<div class="fieldset">'.
 		'<form action="'.$this_url.'" method="post">'.
-		'<div class="fieldset"><h3>'.__('Actions for this tag').'</h3>'.
+		'<h3>'.__('Actions').'</h3>'.
 		'<p><label for="new_tag_id">'.__('Edit tag name:').'</label>'.
 		form::field('new_tag_id',20,255,html::escapeHTML($tag)).
@@ -135,6 +142,6 @@
 			echo
 			'<form id="tag_delete" action="'.$this_url.'" method="post">'.
-			'<p class="no-margin">'.__('Delete this tag:').
-			'</p><p><input type="submit" class="delete" name="delete" value="'.__('Delete').'" />'.
+			'<p>'.__('Delete this tag:').' '.
+			'<input type="submit" class="delete" name="delete" value="'.__('Delete').'" />'.
 			$core->formNonce().
 			'</p></form>';
@@ -144,5 +151,5 @@
 	
 	# Show posts
-	echo '<h3>'.__('List of entries with this tag').'</h3>';
+	echo '<h3>'.sprintf(__('List of entries with the tag “%s”'),html::escapeHTML($tag)).'</h3>';
 	$post_list->display($page,$nb_per_page,
 	'<form action="posts_actions.php" method="post" id="form-entries">'.
@@ -155,5 +162,5 @@
 	'<p class="col right"><label for="action" class="classic">'.__('Selected entries action:').'</label> '.
 	form::combo('action',$combo_action).
-	'<input type="submit" value="'.__('ok').'" /></p>'.
+	'<input type="submit" value="'.__('OK').'" /></p>'.
 	form::hidden('post_type','').
 	form::hidden('redir',$p_url.'&amp;m=tag_posts&amp;tag='.
Index: plugins/tags/tags.php
===================================================================
--- plugins/tags/tags.php	(revision 1179)
+++ plugins/tags/tags.php	(revision 1358)
@@ -20,6 +20,11 @@
 
 <body>
-<h2><?php echo html::escapeHTML($core->blog->name); ?> &rsaquo;
-<span class="page-title"><?php echo __('Tags'); ?></span></h2>
+<?php
+echo dcPage::breadcrumb(
+	array(
+		html::escapeHTML($core->blog->name) => '',
+		'<span class="page-title">'.__('Tags').'</span>' => ''
+	));
+?>
 
 <?php
Index: plugins/themeEditor/_admin.php
===================================================================
--- plugins/themeEditor/_admin.php	(revision 1179)
+++ plugins/themeEditor/_admin.php	(revision 1609)
@@ -26,5 +26,5 @@
 	{
 		if ($id != 'default' && $core->auth->isSuperAdmin()) {
-			return '<p><a href="plugin.php?p=themeEditor" class="button">'.__('Theme Editor').'</a></p>';
+			return '<p><a href="plugin.php?p=themeEditor" class="button">'.__('Edit theme files').'</a></p>';
 		}
 	}
@@ -50,13 +50,9 @@
 		$core->auth->user_prefs->addWorkspace('interface');
 
-		echo
-		'<fieldset><legend>'.__('Theme Editor').'</legend>'.
-		
+		echo		
 		'<p><label for="colorsyntax" class="classic">'.
-		form::checkbox('colorsyntax',1,$core->auth->user_prefs->interface->colorsyntax).' '.
-		__('Syntax color').'</label></p>'.
-
-		'<br class="clear" />'. //Opera sucks
-		'</fieldset>';
+		form::checkbox('colorsyntax',1,$core->auth->user_prefs->interface->colorsyntax).'</label>'.
+		__('Syntax color for theme editor').
+		'</p>';
 	}
 }
Index: plugins/themeEditor/index.php
===================================================================
--- plugins/themeEditor/index.php	(revision 1179)
+++ plugins/themeEditor/index.php	(revision 1382)
@@ -61,5 +61,5 @@
 <html>
 <head>
-  <title><?php echo __('Theme Editor'); ?></title>
+  <title><?php echo __('Edit theme files'); ?></title>
   <link rel="stylesheet" type="text/css" href="index.php?pf=themeEditor/style.css" />
   <script type="text/javascript">
@@ -86,6 +86,12 @@
 
 <body>
-<?php echo '<h2>'.html::escapeHTML($core->blog->name).
-' &rsaquo; <a href="blog_theme.php">'.__('Blog appearance').'</a> &rsaquo; <span class="page-title">'.__('Theme Editor').'</span></h2>'; ?>
+<?php
+echo dcPage::breadcrumb(
+	array(
+		html::escapeHTML($core->blog->name) => '',
+		__('Blog appearance') => 'blog_theme.php',
+		'<span class="page-title">'.__('Edit theme files').'</span>' => ''
+	));
+?>
 
 <p><strong><?php echo sprintf(__('Your current theme on this blog is "%s".'),html::escapeHTML($T['name'])); ?></strong></p>
Index: plugins/userPref/_admin.php
===================================================================
--- plugins/userPref/_admin.php	(revision 1179)
+++ plugins/userPref/_admin.php	(revision 1293)
@@ -12,5 +12,5 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-$_menu['Plugins']->addItem('user:preferences','plugin.php?p=userPref','index.php?pf=userPref/icon.png',
+$_menu['System']->addItem('user:preferences','plugin.php?p=userPref','index.php?pf=userPref/icon.png',
 		preg_match('/plugin.php\?p=userPref(&.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->isSuperAdmin());
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 1274)
+++ plugins/userPref/index.php	(revision 1553)
@@ -81,5 +81,5 @@
 	
 	return
-	'<tr>'.
+	'<tr class="line">'.
 	'<td scope="row"><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
 	'<td>'.$field.'</td>'.
@@ -93,9 +93,4 @@
   <title>user:preferences</title>
   <?php echo dcPage::jsPageTabs($part); ?>
-  <style type="text/css">
-	table.prefs { border: 1px solid #999; margin-bottom: 2em; }
-	table.prefs th { background: #f5f5f5; color: #444; padding-top: 0.3em; padding-bottom: 0.3em; }
-	p.anchor-nav {float: right; }
-  </style>
 	<script type="text/javascript">
 	//<![CDATA[
@@ -116,18 +111,24 @@
 <body>
 <?php
+echo dcPage::breadcrumb(
+	array(
+		__('System') => '',
+		html::escapeHTML($core->auth->userID()) => '',
+		'<span class="page-title">'.__('user:preferences').'</span>' => ''
+	));
+
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('Preferences successfully updated'));
+	dcPage::success(__('Preferences successfully updated'));
 }
 
 if (!empty($_GET['upda'])) {
-	dcPage::message(__('Preferences definition successfully updated'));
-}
-?>
-<h2><?php echo html::escapeHTML($core->auth->userID()); ?> &rsaquo; <span class="page-title">user:preferences</span></h2>
-
-<div id="local" class="multi-part" title="<?php echo __('user preferences'); ?>">
+	dcPage::success(__('Preferences definition successfully updated'));
+}
+?>
+
+<div id="local" class="multi-part" title="<?php echo __('User preferences'); ?>">
 
 <?php 
-$table_header = '<table class="prefs" id="%s"><caption>%s</caption>'.
+$table_header = '<table class="prefs" id="%s"><caption class="as_h3">%s</caption>'.
 '<thead>'.
 '<tr>'."\n".
@@ -184,5 +185,5 @@
 </div>
 
-<div id="global" class="multi-part" title="<?php echo __('global preferences'); ?>">
+<div id="global" class="multi-part" title="<?php echo __('Global preferences'); ?>">
 
 <?php
Index: plugins/widgets/_default_widgets.php
===================================================================
--- plugins/widgets/_default_widgets.php	(revision 1179)
+++ plugins/widgets/_default_widgets.php	(revision 1610)
@@ -47,7 +47,8 @@
 $__widgets->langs->setting('class',__('CSS class:'),'');
 
-$__widgets->create('categories',__('Categories list'),array('defaultWidgets','categories'),null,'List of categories');
+$__widgets->create('categories',__('Categories'),array('defaultWidgets','categories'),null,'List of categories');
 $__widgets->categories->setting('title',__('Title:'),__('Categories'));
 $__widgets->categories->setting('postcount',__('With entries counts'),0,'check');
+$__widgets->categories->setting('with_empty',__('Include empty categories'),0,'check');
 $__widgets->categories->setting('homeonly',__('Display on:'),0,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
Index: plugins/widgets/_widgets_functions.php
===================================================================
--- plugins/widgets/_widgets_functions.php	(revision 1253)
+++ plugins/widgets/_widgets_functions.php	(revision 1610)
@@ -29,6 +29,8 @@
 		($w->title ? '<h2><label for="q">'.html::escapeHTML($w->title).'</label></h2>' : '').
 		'<form action="'.$core->blog->url.'" method="get">'.
+		'<fieldset>'.
 		'<p><input type="text" size="10" maxlength="255" id="q" name="q" value="'.$value.'" /> '.
 		'<input type="submit" class="submit" value="ok" /></p>'.
+		'</fieldset>'.
 		'</form>'.
 		($w->content_only ? '' : '</div>');
@@ -75,5 +77,5 @@
 		}
 
-		$rs = $core->blog->getCategories(array('post_type'=>'post'));
+		$rs = $core->blog->getCategories(array('post_type'=>'post','without_empty'=> !$w->with_empty));
 		if ($rs->isEmpty()) {
 			return;
Index: plugins/widgets/class.widgets.php
===================================================================
--- plugins/widgets/class.widgets.php	(revision 1179)
+++ plugins/widgets/class.widgets.php	(revision 1474)
@@ -238,13 +238,13 @@
 				case 'text':
 					$res .=
-					'<p><label for="'.$wfid.'">'.$s['title'].' '.
+					'<p><label for="'.$wfid.'">'.$s['title'].'</label> '.
 					form::field(array($iname,$wfid),20,255,html::escapeHTML($s['value']),'maximal').
-					'</label></p>';
+					'</p>';
 					break;
 				case 'textarea':
 					$res .=
-					'<p><label for="'.$wfid.'">'.$s['title'].' '.
+					'<p><label for="'.$wfid.'">'.$s['title'].'</label> '.
 					form::textarea(array($iname,$wfid),30,5,html::escapeHTML($s['value']),'maximal').
-					'</label></p>';
+					'</p>';
 					break;
 				case 'check':
@@ -257,7 +257,7 @@
 				case 'combo':
 					$res .=
-					'<p><label for="'.$wfid.'">'.$s['title'].' '.
+					'<p><label for="'.$wfid.'">'.$s['title'].'</label> '.
 					form::combo(array($iname,$wfid),$s['options'],$s['value']).
-					'</label></p>';
+					'</p>';
 					break;
 			}
Index: plugins/widgets/dragdrop.js
===================================================================
--- plugins/widgets/dragdrop.js	(revision 0)
+++ plugins/widgets/dragdrop.js	(revision 1659)
@@ -1,211 +1,98 @@
-ToolMan._coordinatesFactory.inside = function(item,container) {
-	var iTL = this.topLeftOffset(item);
-	var iBR = this.bottomRightOffset(item);
-	var cTL = this.topLeftOffset(container);
-	var cBR = this.bottomRightOffset(container);
+/*
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+*/
+
+$(function() {
 	
-	return (iTL.x >= cTL.x && iTL.x <= cBR.x && iTL.y >= cTL.y && iTL.y <= cBR.y)
-	|| (iBR.x >= cTL.x && iBR.x <= cBR.x && iBR.y >= cTL.y && iBR.y <= cBR.y);
-}
-
-ToolMan._dragdropFactory = {
-	firstContainer: null,
-	lastContainer: null,
+	// clean
+	$('.remove-if-drag').remove();
+	$('.hidden-if-drag').hide();
+	$('.widgets, .sortable-delete').addClass('if-drag');
 	
-	makeDragable: function(item) {
-		var group = ToolMan.drag().createSimpleGroup(item);
-		group.register('dragstart',this._onDragStart);
-		group.register('dragmove', this._onDragMove);
-		group.register('dragend', this._onDragEnd);
-		
-		item.isOutside = false;
-		item.started = false;
-		
-		return group;
-	},
-	
-	makeListContainer: function(list,name) {
-		// each container becomes a linked list node
-		if (this.firstContainer == null) {
-			this.firstContainer = this.lastContainer = list;
-			list.previousContainer = null;
-			list.nextContainer = null;
-		} else {
-			list.previousContainer = this.lastContainer;
-			list.nextContainer = null;
-			this.lastContainer.nextContainer = list;
-			this.lastContainer = list;
-		}
-		
-		var helpers = ToolMan.helpers();
-		var coordinates = ToolMan.coordinates();
-		
-		//var children = list.childNodes;
-		var items = new Array();
-		for (var i=0; i<list.childNodes.length; i++) {
-			if (list.childNodes[i].nodeType == 1 &&
-			list.childNodes[i].nodeName.toLowerCase() == name.toLowerCase()) {
-				items.push(list.childNodes[i]);
-			}
-		}
-		
-		// these functions are called when an item is draged over
-		// a container or out of a container bounds.  onDragOut
-		// is also called when the drag ends with an item having
-		// been added to the container
-		list.onDragOver = new Function();
-		list.onDragOut = new Function();
-		list.onDragEnd = new Function();
-		
-		if (list.factory == undefined) {
-			list.factory = false;
-		}
-		
-		var This = this;
-		helpers.map(items, function(item) {
-			var dragGroup = This.makeDragable(item);
-			dragGroup.setThreshold(4);
-		});
-		for (var i = 2, n = arguments.length; i < n; i++) {
-			helpers.map(items, arguments[i]);
-		}
-	},
-	
-	_onDragStart: function(dragEvent) {
-		var container = ToolMan._dragdropFactory.firstContainer;
-		var item = dragEvent.group.element;
-		var coordinates = ToolMan.coordinates();
-		
-		// Factory is a sort of assembly pieces, we want to keep them
-		if (item.parentNode.factory) {
-			var origin = item.cloneNode(true);
-			item.parentNode.insertBefore(origin,item.nextSibling);
-			ToolMan._dragdropFactory.makeDragable(origin);
-		}
-		
-		while (container != null) {
-			container.topLeft = coordinates.topLeftOffset(container);
-			container.bottomRight = coordinates.bottomRightOffset(container);
-			container = container.nextContainer;
-		}
-		
-		// item starts out over current parent
-		item.started = true;
-		item.parentNode.onDragOver();
-	},
-	
-	_onDragMove: function(dragEvent) {
-		var helpers = ToolMan.helpers();
-		var coordinates = ToolMan.coordinates();
-		
-		var item = dragEvent.group.element;
-		var xmouse = dragEvent.transformedMouseOffset;
-		var moveTo = null;
-		
-		// Check if we are nowhere
-		if (item.isOutside) {
-			var container = ToolMan._dragdropFactory.firstContainer;
-			while (container != null) {
-				if (coordinates.inside(item,container) && !container.factory) {
-					container.onDragOver();
-					item.isOutside = false;
-					
-					// since isOutside was true, the current parent is a
-					// temporary clone of some previous container node and
-					// it needs to be removed from the document
-					var tempParent = item.parentNode;
-					tempParent.removeChild(item);
-					container.appendChild(item);
-					//tempParent.parentNode.removeChild(tempParent);
-					
-					break;
-				}
-				container = container.nextContainer;
+	// move
+	$( ".connected, .sortable-delete" ).sortable({
+		tolerance: "move",
+		cursor: "move",
+		axis: "y",
+		dropOnEmpty: true,
+		handle: ".widget-name",
+		placeholder: "ui-sortable-placeholder",
+		items: "li:not(.sortable-delete-placeholder)",
+		connectWith: ".connected, .sortable-delete",
+		start: function( event, ui ) {
+			// petit décalage éstétique
+			ui.item.css('left', ui.item.position().left + 20);
+		},
+		update: function(event, ui) {
+			
+			ul = $(this);
+			widget = ui.item;
+			field = ul.parents('.widgets');
+			
+			// met a zéro le décalage
+			ui.item.css('left', 'auto');
+			
+			// signale les zone vide
+			if( ul.find('li').length == 0 )
+				 field.find('.empty-widgets').show();
+			else field.find('.empty-widgets').hide();
+			
+			// remove
+			if( widget.parents('ul').is('.sortable-delete') ) {
+				widget.hide('slow', function() {
+					$(this).remove();
+				});
 			}
 			
-			if (this.isOutside) {
-				return;
+			// réordonne
+			if( ul.attr('id') ) {
+				ul.find('li').each(function(i) {
+					
+					// trouve la zone de récéption
+					var name = ul.attr('id').split('dnd').join('');
+					
+					// modifie le name en conséquence
+					$(this).find('*[name^=w]').each(function(){
+						tab = $(this).attr('name').split('][');
+						tab[0] = "w["+name;
+						tab[1] = i;
+						$(this).attr('name', tab.join(']['));
+					});
+					
+					// ainssi que le champ d'ordre sans js (au cas ou)
+					$(this).find('input[title=ordre]').val(i);
+					
+				});
 			}
+			
+			// expand
+			if(widget.find('img.expand').length == 0) {
+				dotclear.postExpander(widget);
+				dotclear.viewPostContent(widget, 'close');
+			}
+			
 		}
-		// Outside the parent node
-		else if (!coordinates.inside(item,item.parentNode)) {
-			item.parentNode.onDragOut();
-			item.isOutside = true;
-			var container = ToolMan._dragdropFactory.firstContainer;
-			while (container != null) {
-				if (coordinates.inside(item,container) && !container.factory) {
-					container.onDragOver();
-					item.isOutside = false;
-					container.appendChild(item);
-					break;
-				}
-				container = container.nextContainer;
-			}
-			// if we're not in any container now, make a temporary clone of
-			// the previous container node and add it to the document
-			if (this.isOutside) {
-				var tempParent = item.parentNode.cloneNode(false);
-				item.parentNode.removeChild(item);
-				tempParent.appendChild(item);
-				document.body.appendChild(tempParent);
-				return;
-			}
+	});
+	
+	// add
+	$( "#widgets-ref > li" ).draggable({
+		tolerance: "move",
+		cursor: "move",
+		connectToSortable: ".connected",
+		helper: "clone",
+		revert: "invalid",
+		start: function( event, ui ) {
+			ui.helper.css({'width': $('#widgets-ref > li').css('width')});
 		}
-		
-		// if we get here, we're inside some container bounds, so we do
-		// everything the original dragsort script did to swap us into the
-		// correct position
-		
-		if (item.parentNode.factory) {
-			return;
-		}
-		
-		var moveTo = null
-		
-		var previous = helpers.previousItem(item, item.nodeName)
-		while (previous != null) {
-			var bottomRight = coordinates.bottomRightOffset(previous)
-			if (xmouse.y <= bottomRight.y && xmouse.x <= bottomRight.x) {
-				moveTo = previous
-			}
-			previous = helpers.previousItem(previous, item.nodeName)
-		}
-		if (moveTo != null) {
-			helpers.moveBefore(item, moveTo)
-			return
-		}
-		
-		var next = helpers.nextItem(item, item.nodeName)
-		while (next != null) {
-			var topLeft = coordinates.topLeftOffset(next)
-			if (topLeft.y <= xmouse.y && topLeft.x <= xmouse.x) {
-				moveTo = next
-			}
-			next = helpers.nextItem(next, item.nodeName)
-		}
-		if (moveTo != null) {
-			helpers.moveBefore(item, helpers.nextItem(moveTo, item.nodeName))
-			return
-		}
-	},
+	});
 	
-	_onDragEnd: function(dragEvent) {
-		var item = dragEvent.group.element;
-		
-		if (!item.started) {
-			return;
-		}
-		
-		if (item.isOutside || item.parentNode.factory) {
-			item.parentNode.removeChild(item);
-			return;
-		}
-		
-		item.parentNode.onDragEnd.call(item);
-		ToolMan.coordinates().create(0, 0).reposition(dragEvent.group.element);
-	}
-};
-
-ToolMan.dragdrop = function() {
-	return ToolMan._dragdropFactory;
-};
+});
